Encrypt API for Replacing Card

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Card Replacement API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A0XXXXX7C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1210",
  "clientTxnId": "993er9111",
  "requestDateTime": "20240408101000",
  "accountNo": "606030003007684",
  "oldCardURN": "6",
  "newCardURN": "9",
  "productId": 1
}
'
Sample response
{
  "token": "IqfPWuXbGNu1n1atZtrIKDxCNrfLcAwG1P2blvIEitnfW3XLIu1CCUoI0C9JyQUO0BqzN8t4mbzaQ8Lp9OoIGDDLBmh7gXPF6RIEr/l+uW6S5Qr7n+YLtRFEOREVfGNihgxN8pRSzFdfAhPj5UDhdPhLdWjb4nBu9ekOwXtYH7WM6BXU91OBUF7jYtu/1YDnSqmvl/drvjR2HaWFvRB4lmLuYCdDmSKrdCsvLIOuCWiDMNEyw4jzKhDkhPjN+P4d"
}

Request parameters

Body Params
const
enum
required

This parameter must include the message code. It is 1210 for the Register Customer API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter must contain the customer account number, which uniquely identifies the cardholder in the system.

string
required

This parameter must contain the old card unique reference number.

string
required

This parameter must contain the new card unique reference number.

integer
required

This parameter must include the unique program or product ID where the customer will be enrolled.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!